import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { WorkspacesRoutingModule } from "./workspaces-routing.module";
import { WorkspacesComponent } from "./workspaces.component";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { CapabilityRequestComponent } from "./components/capability-request/capability-request.component";
import { RequestHeaderComponent } from "./components/capability-request/components/request-header/request-header.component";
import { RunningStatusButtonComponent } from "./components/capability-request/components/status-buttons/running-status-button/running-status-button.component";

@NgModule({
  declarations: [
    WorkspacesComponent,
    CapabilityRequestComponent,
    RequestHeaderComponent,
    RunningStatusButtonComponent,
  ],
  imports: [CommonModule, WorkspacesRoutingModule, ReactiveFormsModule, FormsModule],
})
export class WorkspacesModule {}
